[Pkg-voip-commits] r8226 - /asterisk-sounds/asterisk-core-sounds/debian/

tzafrir-guest at alioth.debian.org tzafrir-guest at alioth.debian.org
Sat Mar 20 00:38:47 UTC 2010


Author: tzafrir-guest
Date: Sat Mar 20 00:38:36 2010
New Revision: 8226

URL: http://svn.debian.org/wsvn/pkg-voip/?sc=1&rev=8226
Log:
Update the symlink sounds/en in the core sounds file

Added:
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postrm
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postinst
    asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postrm
Modified:
    asterisk-sounds/asterisk-core-sounds/debian/control

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-g722.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-gsm.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-en-wav.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=en_US_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-g722.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-gsm.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-es-wav.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/es
+TARGET=es_MX_f_Allison
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-g722.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-gsm.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postinst?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postinst (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postinst Sat Mar 20 00:38:36 2010
@@ -1,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+case "$1" in
+    configure)
+        if [ ! -d "$SYMLINK" ]; then
+	    if [ -L "$SYMLINK" ]; then
+		# dandling symlink? symlink to a file? kill it
+		rm -f "$SYMLINK"
+	    fi
+	    ln -s "$TARGET" "$SYMLINK"
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postrm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postrm?rev=8226&op=file
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postrm (added)
+++ asterisk-sounds/asterisk-core-sounds/debian/asterisk-core-sounds-fr-wav.postrm Sat Mar 20 00:38:36 2010
@@ -1,0 +1,11 @@
+#! /bin/sh -e
+
+SYMLINK=/usr/share/asterisk/sounds/fr
+TARGET=fr_CA_f_June
+
+if [ ! -d "$SYMLINK" ] && [ -L "$SYMLINK" ]; then
+    # dandling symlink? symlink to a file? kill it
+    rm -f "$SYMLINK"
+fi
+
+#DEBHELPER#

Modified: asterisk-sounds/asterisk-core-sounds/debian/control
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk-sounds/asterisk-core-sounds/debian/control?rev=8226&op=diff
==============================================================================
--- asterisk-sounds/asterisk-core-sounds/debian/control (original)
+++ asterisk-sounds/asterisk-core-sounds/debian/control Sat Mar 20 00:38:36 2010
@@ -24,6 +24,7 @@
 Section: comm
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: asterisk-sounds-main
 Description: asterisk sound files - English/gsm
  Asterisk is an Open Source PBX and telephony toolkit.  It is, in a
  sense, middleware between Internet and telephony channels on the bottom,




More information about the Pkg-voip-commits mailing list